Subject: Re: Firmware Support for USB Hub

From: Misbah khan <[email-masked]>
Date: Thu, 22 Nov 2007 02:27:06 -0800 (PST)

Laurent Pinchart-4 wrote:
> 
> On Wednesday 21 November 2007 18:20, Scott Wood wrote:
>> Misbah khan wrote:
>> > Hi all,
>> >
>> > I am using a 8248 processor which has a USB controller and i need to
>> > connect a USB Hub to it, iam using Montavista Linux .I need to know
>> that
>> > what are the support i need form Montavista or Open source to have an
>> > interface with Usb hub. ???
>> >
>> > Is there any driver that we need to make if so what type ???
>>
>> I don't believe a driver currently exists for CPM USB.
> 
> There's an experimental out-of-tree driver available at 
> http://cpm2usb.sourceforge.net/
> 
> The code is outdated and doesn't work, but that's a starting point.
> 
> can you suggest me the problems both in terms of H/W S/W and Montavista
> ????
> 
> If I remember correctly, CPM2 USB host support requires the host to create
> SOF 
> packets in software. High system loads will probably mess the bus up. A 
> colleague of mines was told by Freescale to use an external USB controller 
> instead of the MPC8248 bundled one.
> 
> I have posted this quarry to freescale. Anyway if you get more information
> could you please share with me ??
> 
> 
> ---Misbah <><
> -- 
> Laurent Pinchart
> CSE Semaphore Belgium
> 
> Chaussée de Bruxelles, 732A
> B-1410 Waterloo
> Belgium
> 
> T +32 (2) 387 42 59
> F +32 (2) 387 42 75
> 
>  
> _______________________________________________
> Linuxppc-embedded mailing list
> [email-masked]
> https://ozlabs.org/mailman/listinfo/linuxppc-embedded
> 

-- 
View this message in context: http://www.nabble.com/Firmware-Support-for-USB-Hub-tf4850180.html#a13894278
Sent from the linuxppc-embedded mailing list archive at Nabble.com.